function skDataObserver(dest)
{
    if (dest == undefined)
        throw "Undefined destination object in skDataObserver constructor";

    this.dest = dest;
}
skDataObserver.prototype =
{
    _dm: Components.classes["@idm.fr/sk_disk_manager_service;1"]
            .getService(),
    _os: Components.classes["@mozilla.org/observer-service;1"]
            .getService(Components.interfaces.nsIObserverService),
    dest: null,
    topic: new Array(),
    observe: function(subject, topic, data)
    {
        this.dest.observe(topic, data);
    },
    observeDataChange: function(datafile, wantdata)
    {
        this.topic[this.topic.length] = datafile;

        this._os.addObserver(this, datafile, false);
        if (wantdata == true)
            this._dm.SetWantedData(datafile);
    },
    unregister: function()
    {
        if (this.topic != undefined)
            for (var i in this.topic)
                this._os.removeObserver(this, this.topic[i]);
    }
}
