function initFavouritePopup() {
    try {
        var oData          = window.arguments[0];
        var oListLabel     = document.getElementById("listlabel");
        var oCreateBtn     = document.getElementById("createBtn");
        var oCloseBtn      = document.getElementById("closeBtn");
        var oListContainer = document.getElementById("favouriteListContainer");
        var oDescription;
        var sTitle;

        oData.favouritemanager.openDialog = window;

        //Resize the window
        if (oData.popupwidth && oData.popupheight)
            window.resizeTo(oData.popupwidth, oData.popupheight);

        //Get the label of buttons
        oListLabel.setAttribute("value", oData.listlabel);
        oCreateBtn.setAttribute("label", (oData.hasfavourite ? oData.removebtn : oData.createbtn));
        oCloseBtn.setAttribute("label", oData.closebtn);

        //Load the list of favourites
        var aMyArray = oData.favouritelist;
        for (var j=0; j<aMyArray.length; j++) {
            sTitle = aMyArray[j].title;

            if (!sTitle.length)
                continue;
        
            oDescription = document.createElement("label");
            oDescription.setAttribute("idx", aMyArray[j].idx);
            oDescription.setAttribute("value", sTitle);
            oDescription.setAttribute("class", "skFavouriteViewLabel");
            oListContainer.appendChild(oDescription);
        }
    } catch (err) {
       alert("ERROR function initFavouritePopup:\n" + err);
    }
}

function setFavourite(){
    try {
        var oData  = window.arguments[0];
        oData.save = true;
        window.close();
    } catch (err) {
       alert("ERROR function setFavourite:\n" + err);
    }
}