/* *************************************************************************************
   *
   * File : extendObject.js                                    $Revision: 1.2 $
   *                                                           $Date: 2005/06/07 10:05:22 $
   *                                                           $Author: tristan $
   *                                                           $Name:  $
   * Purpose :
   *
   * Extends the object for adding common used object function
   *
   *************************************************************************************
*/

window.constructor.prototype.getWhatIsIt = document.constructor.prototype.getWhatIsIt = Object.prototype.getWhatIsIt = Array.prototype.getWhatIsIt = String.prototype.getWhatIsIt = Number.prototype.getWhatIsIt = Date.prototype.getWhatIsIt = RegExp.prototype.getWhatIsIt = Boolean.prototype.getWhatIsIt = function(){
    if ( this.isArray()        ) return 'Array';
    if ( this.isBoolean()      ) return 'Boolean';
    if ( this.isNumber()       ) return 'Number';
    if ( this.isString()       ) return 'String';
    if ( this.isDate()         ) return 'Date';
    if ( this.isRegExp()       ) return 'RegExp';
    if ( this.isXULDocument()  ) return 'XULDocument';
    if ( this.isChromeWindow() ) return 'ChromeWindow';
    if ( this.isDocument()     ) return 'Document';
    if ( this.isWindow()       ) return 'Window';
    if ( this.isObject()       ) return 'Object';
                                 return "undefined";
};
window.constructor.prototype.isArray = document.constructor.prototype.isArray = Object.prototype.isArray = Array.prototype.isArray = String.prototype.isArray = Number.prototype.isArray = Date.prototype.isArray = RegExp.prototype.isArray = Boolean.prototype.isArray = function(){
    return this.constructor.toString().indexOf('Array')!=-1;
};
window.constructor.prototype.isBoolean = document.constructor.prototype.isBoolean = Object.prototype.isBoolean = Array.prototype.isBoolean = String.prototype.isBoolean = Number.prototype.isBoolean = Date.prototype.isBoolean = RegExp.prototype.isBoolean = Boolean.prototype.isBoolean = function(){
    return this.constructor.toString().indexOf('Boolean')!=-1;
};
window.constructor.prototype.isNumber = document.constructor.prototype.isNumber = Object.prototype.isNumber = Array.prototype.isNumber = String.prototype.isNumber = Number.prototype.isNumber = Date.prototype.isNumber = RegExp.prototype.isNumber = Boolean.prototype.isNumber = function(){
    return this.constructor.toString().indexOf('Number')!=-1;
};
window.constructor.prototype.isObject = document.constructor.prototype.isObject = Object.prototype.isObject = Array.prototype.isObject = String.prototype.isObject = Number.prototype.isObject = Date.prototype.isObject = RegExp.prototype.isObject = Boolean.prototype.isObject = function(){
    return this.constructor.toString().indexOf('Object')!=-1;
};
window.constructor.prototype.isString = document.constructor.prototype.isString = Object.prototype.isString = Array.prototype.isString = String.prototype.isString = Number.prototype.isString = Date.prototype.isString = RegExp.prototype.isString = Boolean.prototype.isString = function(){
    return this.constructor.toString().indexOf('String')!=-1;
};
window.constructor.prototype.isDate = document.constructor.prototype.isDate = Object.prototype.isDate = Array.prototype.isDate = String.prototype.isDate = Number.prototype.isDate = Date.prototype.isDate = RegExp.prototype.isDate = Boolean.prototype.isDate = function(){
    return this.constructor.toString().indexOf('Date')!=-1;
};
window.constructor.prototype.isXULDocument = document.constructor.prototype.isXULDocument = Object.prototype.isXULDocument = Array.prototype.isXULDocument = String.prototype.isXULDocument = Number.prototype.isXULDocument = Date.prototype.isXULDocument = RegExp.prototype.isXULDocument = Boolean.prototype.isXULDocument = function(){
    return this.constructor.toString().indexOf('XULDocument')!=-1;
};
window.constructor.prototype.isDocument = document.constructor.prototype.isDocument = Object.prototype.isDocument = Array.prototype.isDocument = String.prototype.isDocument = Number.prototype.isDocument = Date.prototype.isDocument = RegExp.prototype.isDocument = Boolean.prototype.isDocument = function(){
    return this.constructor.toString().indexOf('Document')!=-1;
};
window.constructor.prototype.isRegExp = document.constructor.prototype.isRegExp = Object.prototype.isRegExp = Array.prototype.isRegExp = String.prototype.isRegExp = Number.prototype.isRegExp = Date.prototype.isRegExp = RegExp.prototype.isRegExp = Boolean.prototype.isRegExp = function(){
    alert(this.constructor.toString())
    return this.constructor.toString().indexOf('RegExp')!=-1;
};
window.constructor.prototype.isWindow = document.constructor.prototype.isWindow = Object.prototype.isWindow = Array.prototype.isWindow = String.prototype.isWindow = Number.prototype.isWindow = Date.prototype.isWindow = RegExp.prototype.isWindow = Boolean.prototype.isWindow = function(){
    return this.constructor.toString().indexOf('Window')!=-1;
};
window.constructor.prototype.isChromeWindow = document.constructor.prototype.isChromeWindow = Object.prototype.isChromeWindow = Array.prototype.isChromeWindow = String.prototype.isChromeWindow = Number.prototype.isChromeWindow = Date.prototype.isChromeWindow = RegExp.prototype.isChromeWindow = Boolean.prototype.isChromeWindow = function(){
    return this.constructor.toString().indexOf('ChromeWindow')!=-1;
};