function toolTipAll(){
}
toolTipAll.prototype = {
    init: function (){
        this.timeoutTooltipClose = null;
        this.timeoutTooltipAppear = null;
        this.targetObj = null;
        this.posToolX = null;
        this.posToolY = null;
        this.oPopupset = document.createElement("popupset")
        this.oToolTip = document.createElement("tooltip");
        this.oDescription = document.createElement("description")
        this.oDescription.setAttribute("flex", "1")
        this.oToolTip.setAttribute("flex", "1")
        this.oToolTip.setAttribute("style", "max-width:"+window.screen.width+"px")
        this.oToolTip.appendChild(this.oDescription);
        this.oPopupset.appendChild(this.oToolTip);
        document.documentElement.appendChild(this.oPopupset);
    },

    showTooltip: function (e){
        if(!this.oToolTip) this.init()
        this.targetObj = e.currentTarget;
        this.posToolX = e.screenX;
        this.posToolY = e.screenY;
        clearTimeout(this.timeoutTooltipAppear);
        if(this.timeoutTooltipClose != null){
            this._showTooltip();
        }else{
            var thisObject = this;
            this.timeoutTooltipAppear = 
                setTimeout( function (){thisObject._showTooltip()}, 500);
        }
    },
    _showTooltip: function (){
        clearTimeout(this.timeoutTooltipClose);
        var tooltipText  = this.targetObj.getAttribute("tooltiptext")
        if(!tooltipText) return;
        var thisObject = this;
        this.oDescription.removeAttribute("value");
        this.oDescription.setAttribute("value", tooltipText);
        this.oToolTip.showPopup(this.oToolTip, this.posToolX, this.posToolY, "tooltip", "", "");
        this.timeoutTooltipClose = 
          setTimeout( function (){thisObject.hideTooltip()}, 3500);
    },

    hideTooltip: function (){
        clearTimeout(this.timeoutTooltipAppear);
        clearTimeout(this.timeoutTooltipClose);
        this.timeoutTooltipClose = null;
        this.timeoutTooltipAppear = null;
        this.oToolTip.hidePopup();
    }
}

var skTooltip = new toolTipAll()

